Retrieves all the fee list prices
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
feelist_price| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| feelist_id |
Feelist on which this price belongs to |
globally unique identifier |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| feelist_reference_back_office |
Embedded entity "feelist" using ERP PK when adding/updating feelist_price |
string |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| feelist |
Embedded entity "feelist" using ERP PK when adding/updating feelist_price |
feelist |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| hour_type_id |
Foreign key to hour_type. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| hour_type_code |
Embedded entity "hour_type" using ERP PK when adding/updating feelist_price (CF hour_type_id) |
string |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| hour_type |
Embedded entity "hour_type" using ERP PK when adding/updating feelist_price (CF hour_type_id) |
hour_type |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| equipment_family_id |
Foreign key to equipment_family. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating feelist_price (CF equipment_family_id) |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating feelist_price (CF equipment_family_id) |
equipment_family | |
| job_type_id |
Foreign key to job_type. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier | |
| job_type_code |
Embedded entity "job_type_id" using ERP PK when adding/updating feelist_price (CF job_type_id) |
string | |
| job_type |
Embedded entity "job_type_id" using ERP PK when adding/updating feelist_price (CF job_type_id) |
job_type | |
| price | decimal number |
Required |
|
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "1ab1470e-3924-4173-9c28-687353240ed6",
"feelist_id": "c82b6e5c-3ba6-44e6-9e66-7f734e30170f",
"feelist_reference_back_office": "sample string 3",
"hour_type_id": "0152d767-f229-45e6-bf59-70f2c555118e",
"hour_type_code": "sample string 5",
"equipment_family_id": "329f5111-f3dd-410f-b6de-d0b43d5c41d6",
"equipment_family_code": "sample string 7",
"job_type_id": "c7675eee-71f0-4208-8c19-9a627bd1d436",
"job_type_code": "sample string 9",
"price": 1.0,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-05-04T17:01:24.4176822+00:00"
}